//+------------------------------------------------------------------+
//|                                          FX Money Manager v2.mq4 |
//|                                                          Belomor |
//|                                                 belomor@inbox.ru |
//+------------------------------------------------------------------+
#property copyright "Belomor"
#property link      "belomor@inbox.ru" // Modified by PipeTrader 

#property indicator_chart_window
//---- input parameters
extern double    Risk= 2.0;
extern double    Open_Price = 0.0;
extern double    Stop_Loss = 0.50;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
//----
   Comment(""); 
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
   Comment("");  
   return(0);
  }

double PointCost()
   {
   double result;
   double BasePointCost;
   string BaseString;
   string String1;
   string String2;
//+------------------------------------------------------------------+
   BasePointCost=MarketInfo(Symbol(),MODE_LOTSIZE)*MarketInfo(Symbol(),MODE_POINT);
   BaseString=StringSubstr(Symbol(),3,3);
   String1="USD"+BaseString;
   String2=BaseString+"USD";
//+------------------------------------------------------------------+   
   if(BaseString=="USD")
   result=BasePointCost;
//+------------------------------------------------------------------+   
   else if(MarketInfo(String1,MODE_BID)!=0)
   result=BasePointCost*(1/MarketInfo(String1,MODE_BID));
//+------------------------------------------------------------------+   
   else
   result=BasePointCost*MarketInfo(String2,MODE_ASK);
//+------------------------------------------------------------------+   
   return(result);
   }

double RiskInPoints()
   {
   double result;
   result=MathAbs(Open_Price-Stop_Loss)/Point; //****
   return(result);
   }   

double PoseSize()
   {
   double result;
   double PoseSize;
   double RP;
   RP=RiskInPoints();
   if(PointCost()>0&&RP>0)
   {
   PoseSize=(AccountFreeMargin()*Risk/100)/(RP*PointCost());
   result=MathFloor(PoseSize*10)/10;
   }
   else
   result=0;
   return(result);
 //  }   

// double AbsoluteRisk()
//   {
//   double result;
//   double AR;
//   AR=PoseSize()*RiskInPoints()*PointCost(); 
//   result=NormalizeDouble(AR,2);
//   return(result);
   }

//double RelativeRisk()
//   {
//   double result;
//   result=100*AbsoluteRisk()/AccountBalance();
//   return(result);
//   }       
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   string Comm="\n";
    
//----

   Comm=Comm+"Recommendation de lots a prendre: "+DoubleToStr(PoseSize(),1)+" LOTS \n";
   Comm=Comm+"Marge disponible au compte: "+DoubleToStr(AccountFreeMargin(),2)+" $ \n";
   Comm=Comm+"Risque sur position: "+DoubleToStr(Risk,2)+" % \n";
    if(PointCost()==0)  
   {
    return(0);
   }
   Comm=Comm+"Cout par Lot: "+DoubleToStr(NormalizeDouble(PointCost(),2),2)+" $ \n";
   Comm=Comm+"Risque en PIPS: "+DoubleToStr(RiskInPoints(),0)+"\n";
 //Comm=Comm+"Profits : "+DoubleToStr((AccountEquity)/(AccountBalance))+"\n";
   Comment(Comm);

//----
   return(0);
  }
//+------------------------------------------------------------------+